# Get Carrier Configurations for Group Source: https://docs.noyo.com/api-reference/groups/configurations/get-carrier-configuration-by-group-list GET /api/v1/groups/{group_id}/carrier_configurations Get a list of carrier configurations for a group. # Create Group Connection Source: https://docs.noyo.com/api-reference/groups/connections/create-group-connection POST /api/v1/group_connections Create a new connection for a brand new group with a given carrier # Create Group Connection with Existing Group Source: https://docs.noyo.com/api-reference/groups/connections/create-group-connection-with-existing-group POST /api/v1/groups/{group_id}/group_connections Create a new carrier connection for an existing group # Get Group Connection Source: https://docs.noyo.com/api-reference/groups/connections/get-group-connection GET /api/v1/group_connections/{connection_id} Returns the latest status of a single group connection based on the ID provided. Returns the latest status of a single group connection based on the ID provided. # Get Group Connection Request List Source: https://docs.noyo.com/api-reference/groups/connections/get-group-connection-request-list GET /api/v1/group_connections Returns a list of all group connections. Returns a list of all group connections. # Get Group Connection Request List by Group Source: https://docs.noyo.com/api-reference/groups/connections/get-group-connection-request-list-by-group GET /api/v1/groups/{group_id}/group_connections Returns a list of all group connections for a given group ID. # Group Connections Source: https://docs.noyo.com/api-reference/groups/connections/group-connections GET /api/v1/groups/{group_id}/group_connections Get connection information for a group # Group Connections Source: https://docs.noyo.com/api-reference/groups/connections/index Connect and manage group-carrier relationships # Group Connections The Group Connections APIs allow you to connect groups to carriers and manage those connections. ## Connection Management * [Create Group Connection](/api-reference/groups/connections/create-group-connection) * [Create Group Connection with Existing Group](/api-reference/groups/connections/create-group-connection-with-existing-group) * [Get Group Connection](/api-reference/groups/connections/get-group-connection) * [Get Group Connection Request List](/api-reference/groups/connections/get-group-connection-request-list) * [Get Group Connection Request List by Group](/api-reference/groups/connections/get-group-connection-request-list-by-group) * [Retry Group Connection with Existing Group](/api-reference/groups/connections/retry-group-connection-with-existing-group) # Retry Group Connection with Existing Group Source: https://docs.noyo.com/api-reference/groups/connections/retry-group-connection-with-existing-group PUT /api/v1/group_connections/{connection_id}/retry Retry a carrier connection for an existing group # Create Contact Source: https://docs.noyo.com/api-reference/groups/contacts/create-contact POST /api/v1/groups/{group_id}/contacts Create a new contact for a group. # Edit Contact Source: https://docs.noyo.com/api-reference/groups/contacts/edit-contact PUT /api/v1/groups/{group_id}/contacts/{contact_id}/{version} Edit a specific contact. # Get Contact Source: https://docs.noyo.com/api-reference/groups/contacts/get-contact GET /api/v1/groups/{group_id}/contacts/{contact_id} Get details for a specific contact. # List Contacts Source: https://docs.noyo.com/api-reference/groups/contacts/get-contact-list GET /api/v1/groups/{group_id}/contacts Get a list of contacts for a group. # Create Group Source: https://docs.noyo.com/api-reference/groups/create-group POST /api/v1/groups Create a new group # Confirm Group Disconnection Request Source: https://docs.noyo.com/api-reference/groups/disconnections/confirm-group-disconnection-request PUT /api/v1/group_disconnection_requests/{group_disconnection_request_id}/confirm Confirm a group disconnection request # Create Group Disconnection Request Source: https://docs.noyo.com/api-reference/groups/disconnections/create-group-disconnection-request POST /api/v1/group_disconnection_requests Create a new group disconnection request # Edit Group Disconnection Request Source: https://docs.noyo.com/api-reference/groups/disconnections/edit-group-disconnection-request PUT /api/v1/group_disconnection_requests/{group_disconnection_request_id}/{version} Edit an existing group disconnection request # Get Group Disconnection Request Source: https://docs.noyo.com/api-reference/groups/disconnections/get-group-disconnection-request-by-id GET /api/v1/group_disconnection_requests/{group_disconnection_request_id} Get a specific group disconnection request # Get Group Disconnection Request List Source: https://docs.noyo.com/api-reference/groups/disconnections/get-group-disconnection-request-list GET /api/v1/group_disconnection_requests Get a list of all group disconnection requests # Get Group Disconnection Requests by Group Source: https://docs.noyo.com/api-reference/groups/disconnections/get-group-disconnection-request-list-by-group GET /api/v1/groups/{group_id}/group_disconnection_requests Get a list of group disconnection requests for a specific group # Group Disconnections Source: https://docs.noyo.com/api-reference/groups/disconnections/group-disconnections GET /api/v1/groups/{group_id}/group_disconnection_requests Get disconnection information for a group # Reject Group Disconnection Request Source: https://docs.noyo.com/api-reference/groups/disconnections/reject-group-disconnection-request PUT /api/v1/group_disconnection_requests/{group_disconnection_request_id}/reject Reject a group disconnection request # Edit Group Source: https://docs.noyo.com/api-reference/groups/edit-group PUT /api/v1/groups/{group_id}/{version} Edit a specific group # Get Feed Run Source: https://docs.noyo.com/api-reference/groups/feed-runs/get-feed-run GET /api/v1/feed_runs/{feed_run_id} Get a specific feed run # List Feed Runs Source: https://docs.noyo.com/api-reference/groups/feed-runs/get-feed-run-list GET /api/v1/feed_runs Get a list of all feed runs # Get Feed Source: https://docs.noyo.com/api-reference/groups/feeds/get-feed GET /api/v1/feeds/{feed_id} Get a specific feed # List Feeds Source: https://docs.noyo.com/api-reference/groups/feeds/get-feed-list GET /api/v1/feeds Get a list of all feeds # Get Group Source: https://docs.noyo.com/api-reference/groups/get-group GET /api/v1/groups/{group_id} Get a specific group # List Groups Source: https://docs.noyo.com/api-reference/groups/get-group-list GET /api/v1/groups Get a list of all groups # Get Location Source: https://docs.noyo.com/api-reference/groups/locations/get-location GET /api/v1/groups/{group_id}/locations/{location_id} Get details for a specific location. # Get Location List Source: https://docs.noyo.com/api-reference/groups/locations/get-location-list GET /api/v1/groups/{group_id}/locations Get a list of locations for a group. # Get Group Plan Source: https://docs.noyo.com/api-reference/groups/plans/get-group-plan GET /api/v1/plans/{plan_id} Returns the group plan specified by unique identifier # Get Group Plan List Source: https://docs.noyo.com/api-reference/groups/plans/get-group-plan-list GET /api/v1/groups/{group_id}/plans Get a list of plans for a group # Get Group Plan Rates List Source: https://docs.noyo.com/api-reference/groups/plans/get-group-plan-rates-list GET /api/v1/groups/{group_id}/plan_rates Get a list of plan rates for a group # Create Renewal Decision Source: https://docs.noyo.com/api-reference/groups/renewals/create-renewal-decision POST /api/v1/groups/{group_id}/renewal_decisions Create a new renewal decision for a given renewal date. # Edit Renewal Decision Source: https://docs.noyo.com/api-reference/groups/renewals/edit-renewal-decision PUT /api/v1/renewal_decisions/{renewal_decision_id}/{version} Edit an existing renewal decision for a group. # Get Renewal Decision Source: https://docs.noyo.com/api-reference/groups/renewals/get-renewal-decision GET /api/v1/groups/{group_id}/renewal_decisions/{renewal_decision_id} Returns a renewal decision by ID. # Get Renewal Decisions Source: https://docs.noyo.com/api-reference/groups/renewals/get-renewal-decisions GET /api/v1/renewal_decisions Returns all renewal decisions. This includes the status, which determines whether the carrier is ready to accept member requests for the new plan year. If the status is `not_ready`, Noyo will return one or more issues, each with a level and message. # Get Renewal Decisions by Group Source: https://docs.noyo.com/api-reference/groups/renewals/get-renewal-decisions-by-group GET /api/v1/groups/{group_id}/renewal_decisions Returns all renewal decisions for a group. This includes the status, which determines whether the carrier is ready to accept member requests for the new plan year. If the status is `not_ready`, Noyo will return one or more issues, each with a level and message. # Get Latest Sync Source: https://docs.noyo.com/api-reference/groups/syncs/get-latest-group-audit-request GET /api/v1/groups/{group_id}/audit_requests/latest Noyo regularly audits each Group against the carrier(s) that the Group has coverage with in order to find updated data and potential mismatches. This endpoint returns metadata about the latest group audit request that was completed. If no group audits have been completed the `completed_at` timestamp will be the timestamp of when the group was created and the `carrier_ids` array will be empty. # Get Latest Syncs Source: https://docs.noyo.com/api-reference/groups/syncs/get-latest-group-audit-request-list GET /api/v1/groups/{group_id}/audit_requests/list_latest Noyo regularly audits each Group against the carrier(s) that the Group has coverage with in order to find updated data and potential mismatches. This endpoint returns metadata about the latest group audit requests that were completed for each carrier. If no group audits have been completed the `completed_at` timestamp will be the timestamp of when the group was created and the `carrier_ids` array will be empty. # Get Issue Source: https://docs.noyo.com/api-reference/issues/get-issue GET /api/v1/issues/{issue_id} Get a specific Issue by its ID. # List Issues Source: https://docs.noyo.com/api-reference/issues/list-issues GET /api/v1/issues List existing Issues. Supports filtering on various fields including array containment. # Get Dependent Source: https://docs.noyo.com/api-reference/members/dependents/getdependent GET /api/v1/dependents/{dependent_id} Returns the latest version of a single dependent based on the ID provided. # Get Dependent List Source: https://docs.noyo.com/api-reference/members/dependents/getdependentlist GET /api/v1/employees/{employee_id}/dependents Returns a list of all dependents for a given employee. # Get Employee Dependent Source: https://docs.noyo.com/api-reference/members/dependents/getemployeedependent GET /api/v1/employees/{employee_id}/dependents/{dependent_id} Returns the latest version of a single dependent of an employee based on the ID provided. # Get Employee Source: https://docs.noyo.com/api-reference/members/employees/getemployee GET /api/v1/employees/{employee_id} Returns the latest version of a single employee based on the ID provided. # Get Employee List Source: https://docs.noyo.com/api-reference/members/employees/getemployeelist GET /api/v1/employees Filter employees across all groups in your organization. # Get Group Employee Source: https://docs.noyo.com/api-reference/members/employees/getgroupemployee GET /api/v1/groups/{group_id}/employees/{employee_id} Returns the latest version of a single employee based on the Noyo ID or Custom Individual ID provided. # Get Group Employee List Source: https://docs.noyo.com/api-reference/members/employees/getgroupemployeelist GET /api/v1/groups/{group_id}/employees Filter employees within a group. There may be some cases where you wish to find a specific employee in a group, but do not know their Noyo `id`. We provide a way to filter your employee list for a given group via query parameters. The following parameters are accepted by the API in the query string: | Parameter | Type | Description | | :- | :- | :- | | `date_of_birth` | date | ISO-8601 date string for the date of birth of the employee to be filtered on | | `first_name` | string | First name of the employee to be filtered on | | `last_name` | string | Last name of the employee to be filtered on | | `name` | string | A name search for all name fields for the employee to be filtered on | The filtering is not case-sensitive and it does not require an exact match on the value (e.g. searching for "ann" will match against "Ann" as well as "Annie"). # Get Individual Enrollment Source: https://docs.noyo.com/api-reference/members/enrollments/getindividualenrollment GET /api/v1/individual_enrollments/{individual_enrollment_id} Returns the latest version of a single individual enrollment based on the ID provided. # Get Individual Enrollments by Dependent Source: https://docs.noyo.com/api-reference/members/enrollments/getindividualenrollmentbydependentlist GET /api/v1/dependents/{dependent_id}/individual_enrollments Returns a list of all individual enrollments for a given dependent. # Get Individual Enrollments by Employee Source: https://docs.noyo.com/api-reference/members/enrollments/getindividualenrollmentbyemployeelist GET /api/v1/employees/{employee_id}/individual_enrollments Returns a list of all individual enrollments for a given employee. # Get Individual Enrollments by Group Source: https://docs.noyo.com/api-reference/members/enrollments/getindividualenrollmentbygrouplist GET /api/v1/groups/{group_id}/individual_enrollments Returns a list of all individual enrollments for a given group. # Get Individual Enrollments by Group Enrollment Source: https://docs.noyo.com/api-reference/members/enrollments/getindividualenrollmentlist GET /api/v1/group_enrollments/{group_enrollment_id}/individual_enrollments Returns a list of all individual enrollments for a given group enrollment. # Individual Enrollments Source: https://docs.noyo.com/api-reference/members/enrollments/individual-enrollments GET /api/v1/employees/{employee_id}/individual_enrollments Get a list of all individual enrollments in the system # Get a list of all Member Premiums Source: https://docs.noyo.com/api-reference/members/premiums/getmemberpremiumsbyemployeeid GET /api/v1/employees/{employee_id}/premiums Returns list of Member Premium information for an employee and dependents # Create a COBRA Enrollment Member Request Source: https://docs.noyo.com/api-reference/requests/cobraenrollmentmemberrequest POST /api/v1/employees/{employee_id}/member_requests/cobra_enrollment The COBRA enrollment member request is used to add an existing employee, and optionally their dependents to multiple coverages at multiple carriers. This is for a continuation of benefits situation, when main line coverage either has already been terminated, or will be in conjunction with this member request. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create a COBRA Open Enrollment Member Request Source: https://docs.noyo.com/api-reference/requests/cobraopenenrollmentmemberrequest POST /api/v1/employees/{employee_id}/member_requests/cobra_open_enrollment The COBRA open enrollment member request is used to make changes to employees, dependents and COBRA coverages during the open enrollment period. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create a COBRA Qualifying Life Event Member Request Source: https://docs.noyo.com/api-reference/requests/cobraqualifyinglifeeventmemberrequest POST /api/v1/employees/{employee_id}/member_requests/cobra_qualifying_life_event The COBRA qualifying life event member request is used to make changes to employees, dependents and COBRA coverages due to a qualifying life event. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create a COBRA Termination Member Request Source: https://docs.noyo.com/api-reference/requests/cobraterminationmemberrequest POST /api/v1/employees/{employee_id}/member_requests/cobra_termination The COBRA termination member request is used to remove an employee and their dependents from COBRA coverage at all carriers. The `cobra_termination_date` is the date on which the COBRA coverage should be terminated. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create a new Dependent Source: https://docs.noyo.com/api-reference/requests/create-dependent POST /api/v1/employees/{employee_id}/dependents Create a new dependent for an employee. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create a new Employee Source: https://docs.noyo.com/api-reference/requests/create-employee POST /api/v1/employees Create a new employee for a group. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create an Enrollment Snapshot Member Request Source: https://docs.noyo.com/api-reference/requests/createenrollmentsnapshotmemberrequest POST /api/v1/employees/{employee_id}/member_requests/enrollment_snapshot The Enrollment Snapshot Member Request allows you to communicate the desired state of an employee's coverage elections during an employee's new hire period. You can use it in one of two cases: * To enroll an employee and their dependents for the first time. Please reference the [New Hire Enrollment](#new-hire-enrollment) documentation section for more details. * To amend and replace a previous New Hire member request with the latest complete set of coverage elections, described in this section below. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create a Demographic Change Member Request Source: https://docs.noyo.com/api-reference/requests/demographicchangememberrequest POST /api/v1/employees/{employee_id}/member_requests/demographic_change The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Get Employee Member Request List Source: https://docs.noyo.com/api-reference/requests/getemployeememberrequestlist GET /api/v1/employees/{employee_id}/member_requests Returns a list of all member requests for a given employee. Each member request may have one or more associated member transactions. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Get Member Request Source: https://docs.noyo.com/api-reference/requests/getmemberrequest GET /api/v1/member_requests/{request_id} Returns the latest version of a single member request based on the ID provided. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Get Member Transactions By Member Request Source: https://docs.noyo.com/api-reference/requests/getmembertransactionsbymemberrequestlist GET /api/v1/member_requests/{request_id}/member_transactions Returns a list of all member transactions for a given member request. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Get Organization Member Request List Source: https://docs.noyo.com/api-reference/requests/getorganizationmemberrequestlist GET /api/v1/member_requests Returns a list of all member requests for a given organization. Each member request may have one or more associated member transactions. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create a New Hire Enrollment Member Request Source: https://docs.noyo.com/api-reference/requests/newhireenrollmentmemberrequest POST /api/v1/employees/{employee_id}/member_requests/new_hire The new hire member request is used to add an existing employee, and optionally their dependents to multiple coverages at multiple carriers. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create a Open Enrollment Member Request Source: https://docs.noyo.com/api-reference/requests/openenrollmentmemberrequest POST /api/v1/employees/{employee_id}/member_requests/open_enrollment The open enrollment member request is used to make changes to existing employees, dependents and coverages during the open enrollment period. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create a Qualifying Life Event Member Request Source: https://docs.noyo.com/api-reference/requests/qualifyinglifeeventmemberrequest POST /api/v1/employees/{employee_id}/member_requests/qualifying_life_event The qualifying life event member request is used to make changes to existing employees, dependents and coverages due to a qualifying life event. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create a Termination Member Request Source: https://docs.noyo.com/api-reference/requests/terminationmemberrequest POST /api/v1/employees/{employee_id}/member_requests/termination The `termination` member request is used to remove an employee and their dependents from coverage at all carriers. The `last_work_date` will be communicated to the carrier and the `last_day_of_coverage` will be determined by the carrier and included in the result. The Member Request workflow is now deprecated in favor of using [Member Snapshot](/docs/members/using-snapshots/using-snapshots) # Create Member Snapshot Source: https://docs.noyo.com/api-reference/snapshots/create-member-snapshot POST /api/v1/groups/{group_id}/member_snapshots Create a new member snapshot for a group # Get Member Snapshot Source: https://docs.noyo.com/api-reference/snapshots/get-member-snapshot GET /api/v1/member_snapshots/{snapshot_id} Get a specific member snapshot by ID # Get CalculatedMember Snapshot for Employee Source: https://docs.noyo.com/api-reference/snapshots/get-member-snapshot-for-employee GET /api/v1/employees/{employee_id}/member_snapshot Get a Member Snapshot by Employee ID. This will be calculated based on the current state of Noyo data for the employee. # Get Member Snapshots for Employee Source: https://docs.noyo.com/api-reference/snapshots/get-member-snapshots-for-employee-list GET /api/v1/employees/{employee_id}/member_snapshots Get a list of all member snapshots for a specific employee # List Member Snapshots for Group Source: https://docs.noyo.com/api-reference/snapshots/get-member-snapshots-for-group-list GET /api/v1/groups/{group_id}/member_snapshots Get a list of all member snapshots for a specific group # List Member Snapshots Source: https://docs.noyo.com/api-reference/snapshots/get-member-snapshots-list GET /api/v1/member_snapshots Get a list of all member snapshots in the system # List Differences Source: https://docs.noyo.com/api-reference/tracking/get-differences GET /api/v1/differences Returns a list of differences. # Get a Transaction Source: https://docs.noyo.com/api-reference/transactions/getmembertransaction GET /api/v1/member_transactions/{transaction_id} Returns the latest version of a single member transaction based on the ID provided. Deprecated # Get Member Transactions by Member Request Source: https://docs.noyo.com/api-reference/transactions/getmembertransactionsbymemberrequestlist GET /api/v1/member_requests/{request_id}/member_transactions Returns a list of all member transactions for a given member request. Deprecated # Get a list of all Member Transactions Source: https://docs.noyo.com/api-reference/transactions/getmembertransactionslist GET /api/v1/member_transactions Returns a list of transaction ids by associated difference impact score. Deprecated # Get Latest Status Detail Source: https://docs.noyo.com/api-reference/transactions/status-detail/getlateststatusdetail GET /api/v1/member_transactions/{transaction_id}/status_details/latest Returns the latest status detail for a given transaction. Deprecated # Get Status Details Source: https://docs.noyo.com/api-reference/transactions/status-detail/getstatusdetaillist GET /api/v1/member_transactions/{transaction_id}/status_details Returns a list of all status details for a given transaction. Deprecated # Group and Plan Data Source: https://docs.noyo.com/docs/data/group-data-endpoints Data available for groups, enrollments, and plans # Group Data The **group** object represents an insured group/employer that is managed by your organization and successfully connected to Noyo. Group, plan, and enrollment data is available when a [group connection request](/docs/groups/connections/request-a-group-connection) for a Sync carrier is `complete` or when a Send group connection's status is `action_required`. In general, you cannot edit group-level data through Noyo, with the exception of [name, FEIN, DBA name, and SIC code](/api-reference/groups/edit-group). All other group level data, like location addresses or tax information, must be changed directly with the carrier. ## Group basics [Create a group](/docs/groups/create-a-group) to get started. [Get a Single Group](/api-reference/groups/get-group) to view details such as the name of the group, the EIN, and the SIC code of the company. To see all the groups managed with Noyo by your organization, you can [Get a List of All Groups](/api-reference/groups/get-group-list). You can search that groups list with the company query param. It allows searches based on the group's `name` or `dba_name` values. Other helpful group data is available using the group's ID: * [Get Single Contact](/api-reference/groups/contacts/get-contact) for latest version of a single group contact * [Get Contacts List](/api-reference/groups/contacts/get-contact-list) for a list of all group contacts for a given group * [Get Locations](/api-reference/groups/locations/get-location-list) for all addresses associated with a group, or [Get Single Location](/api-reference/groups/locations/get-location) for the latest version of a specific address ## Carrier configurations Certain carriers have custom data for each group, such as billing information. Use the [Get Group Carrier Configurations](/api-reference/groups/configurations/get-carrier-configuration-by-group-list) endpoint to retrieve any carrier-specific configuration data for a given group. This endpoint can be used to retrieve carrier-specific configuration data. Here are the options for this object: | Object | Type | Description | | - | - | - | | `group_id` | uuid | Unique identifier of the group in Noyo | | `carrier_id` | uuid | Unique identifier of the carrier in Noyo | | `carrier_group_id` | string | Unique identifier for the group in the carrier system | | `configuration` | object | Carrier configuration details for the group | ### Filter for a carrier's group ID You can use the combination of a `carrier_id` and a `carrier_group_id` to filter for a carrier-specific group ID. This ID will depend on the carrier, but it will generally be a unique identifier for the group from the carrier's system. ```sh theme={"system"} curl -X GET --header "Authorization: Bearer " https://fulfillment.noyo.com/api/v1/groups?carrier_id=3092866a-e3a7-4c6e-964c-2bc45dfe7ad0&carrier_group_id=OXNEMWQ4WkxoQ0oK ``` ## Carrier syncs Noyo regularly syncs–or retrieves–group data from any Sync carriers the group has coverage with to bring in the carrier's version of the group. The [Get Latest Audit](/api-reference/groups/syncs/get-latest-group-audit-request) endpoint returns metadata about the last group audit that was completed. If no group audits have been completed, the `completed_at` timestamp will be the timestamp of when the group was created and the `carrier_ids` array will be empty. # Plan and enrollment data ![](https://static.noyo.com/img/df78639-image.png) ## Enrollments The **enrollments** object represents the each individual line of coverage (LOC) being offered by a specific group (e.g. `medical`, `dental`, `vision`). You can manage the following types of benefits through Noyo: * Accident * Accidental death and dismemberment (AD\&D) * Cancer * Critical Illness * Dental * Hospital indemnity * Life * Long-term disability (LTD) * Medical * Short-term disability (STD) * Vision Start by [getting a list of all enrollments](/api-reference/groups/enrollments/get-group-enrollment-list) for a given group. This will return IDs, dates, and statuses for all the group's enrollments. You can then use each enrollment ID to [get a single group enrollment](/api-reference/groups/enrollments/get-group-enrollment) and its associated data in the future. ## Plan data The **plans** object represents a plan or benefit offered by a carrier to employee or dependent members of a group. You can use the group's ID to [get a list of all their plans](/api-reference/groups/plans/get-group-plan-list), which returns IDs for each individual plan. You can also use a group plan ID to [get details on a specific plan](/api-reference/groups/plans/get-group-plan). Note that the response will be nested in a `plan` attribute. Different data is included in the response for each plan depending on its LOC. See below for specific data returned across all LOCs supported by Noyo and more detail on waiting periods. #### Accident Plan Object | Object | Type | Description | | - | - | - | | `id`\* | uuid | Unique identifier of the record in Noyo | | `version`\* | uuid | Current version of the record | | `group_enrollment_id`\* | uuid | Unique identifier of the associated group enrollment in the Noyo system | | `carrier_id`\* | uuid | Unique identifier of the associated carrier in Noyo | | `line_of_coverage`\* | string | Line of coverage for the group accident plan | | `name`\* | string | Name of the group accident plan | | `code` | string | Plan code of the group accident plan | | `plan_type`\* | string | Type of group accident plan. One of: `basic`, `voluntary` | | `effective_start_date` | date | ISO-8601 date string for the effective start date of the record | | `effective_end_date` | date | ISO-8601 date string for the effective end date of the record | | `status`\* | string | Status of the group accident plan. One of: `active`, `discontinued`, `pending` | | `eligible_member_types`\* | array | List of member types eligible for the group accident plan. One of: `all`, `child`, `domestic-partner`, `employee`, `spouse` | | `waiting_periods`\* | array | Member waiting period details for the group accident plan | | `termination_policy`\* | string | Termination policy for the group accident plan. One of: `end_of_month`, `fifteenth_of_month`, `last_work_date` | | `plan_configuration`\* | object | Group plan configuration details | | `created`\* | timestamp | The date the record was created | | `modified`\* | timestamp | The date the record was last updated | #### AD\&D Plan Object | Object | Type | Description | | - | - | - | | `id`\* | uuid | Unique identifier of the record in Noyo | | `version`\* | uuid | Current version of the record | | `group_enrollment_id`\* | uuid | Unique identifier of the associated group enrollment in the Noyo system | | `carrier_id`\* | uuid | Unique identifier of the associated carrier in Noyo | | `line_of_coverage`\* | string | Line of coverage for the group AD\&D plan | | `name`\* | string | Name of the group AD\&D plan | | `code` | string | Plan code of the group AD\&D plan | | `plan_type`\* | string | Type of group AD\&D plan. One of: `basic`, `voluntary` | | `effective_start_date` | date | ISO-8601 date string for the effective start date of the record | | `effective_end_date` | date | ISO-8601 date string for the effective end date of the record | | `status`\* | string | Status of the group AD\&D plan. One of: `active`, `discontinued`, `pending` | | `eligible_member_types`\* | array | List of member types eligible for the group AD\&D plan. One of: `all`, `child`, `domestic-partner`, `employee`, `spouse` | | `waiting_periods`\* | array | Member waiting period details for the group AD\&D plan | | `termination_policy`\* | string | Termination policy for the group AD\&D plan. One of: `end_of_month`, `fifteenth_of_month`, `last_work_date` | | `volume_rules`\* | object | Volume rules for the group AD\&D plan | | `plan_configuration`\* | object | Group plan configuration details | | `created`\* | timestamp | The date the record was created | | `modified`\* | timestamp | The date the record was last updated | #### Cancer Plan Object | Object | Type | Description | | - | - | - | | `id`\* | uuid | Unique identifier of the record in Noyo | | `version`\* | uuid | Current version of the record | | `group_enrollment_id`\* | uuid | Unique identifier of the associated group enrollment in the Noyo system | | `carrier_id`\* | uuid | Unique identifier of the associated carrier in Noyo | | `line_of_coverage`\* | string | Line of coverage for the group cancer plan | | `name`\* | string | Name of the group cancer plan | | `code` | string | Plan code of the group cancer plan | | `plan_type`\* | string | Type of group cancer plan. One of: `basic`, `voluntary` | | `effective_start_date` | date | ISO-8601 date string for the effective start date of the record | | `effective_end_date` | date | ISO-8601 date string for the effective end date of the record | | `status`\* | string | Status of the group cancer plan. One of: `active`, `discontinued`, `pending` | | `eligible_member_types`\* | array | List of member types eligible for the group cancer plan. One of: `all`, `child`, `domestic-partner`, `employee`, `spouse` | | `waiting_periods`\* | array | Member waiting period details for the group cancer plan | | `termination_policy`\* | string | Termination policy for the group cancer plan. One of: `end_of_month`, `fifteenth_of_month`, `last_work_date` | | `plan_configuration`\* | object | Group plan configuration details | | `created`\* | timestamp | The date the record was created | | `modified`\* | timestamp | The date the record was last updated | #### Critical Illness Plan Object | Object | Type | Description | | - | - | - | | `id`\* | uuid | Unique identifier of the record in Noyo | | `version`\* | uuid | Current version of the record | | `group_enrollment_id`\* | uuid | Unique identifier of the associated group enrollment in the Noyo system | | `carrier_id`\* | uuid | Unique identifier of the associated carrier in Noyo | | `line_of_coverage`\* | string | Line of coverage for the group critical illness plan | | `name`\* | string | Name of the group critical illness plan | | `code` | string | Plan code of the group critical illness plan | | `plan_type`\* | string | Type of group critical illness plan. One of: `basic`, `voluntary` | | `effective_start_date` | date | ISO-8601 date string for the effective start date of the record | | `effective_end_date` | date | ISO-8601 date string for the effective end date of the record | | `status`\* | string | Status of the group critical illness plan. One of: `active`, `discontinued`, `pending` | | `eligible_member_types`\* | array | List of member types eligible for the group critical illness plan. One of: `all`, `child`, `domestic-partner`, `employee`, `spouse` | | `waiting_periods`\* | array | Member waiting period details for the group critical illness plan | | `termination_policy`\* | string | Termination policy for the group critical illness plan. One of: `end_of_month`, `fifteenth_of_month`, `last_work_date` | | `volume_rules`\* | object | Volume rules for the group critical illness plan | | `plan_configuration`\* | object | Group plan configuration details | | `created`\* | timestamp | The date the record was created | | `modified`\* | timestamp | The date the record was last updated | #### Dental Plan Object | Object | Type | Description | | - | - | - | | `id`\* | uuid | Unique identifier of the record in Noyo | | `version`\* | uuid | Current version of the record | | `group_enrollment_id`\* | uuid | Unique identifier of the associated group enrollment in the Noyo system | | `carrier_id`\* | uuid | Unique identifier of the associated carrier in Noyo | | `line_of_coverage`\* | string | Line of coverage for the group dental plan | | `name`\* | string | Name of the group dental plan | | `code` | string | Plan code of the group dental plan | | `effective_start_date` | date | ISO-8601 date string for the effective start date of the record | | `effective_end_date` | date | ISO-8601 date string for the effective end date of the record | | `plan_type` | string | Type of group dental plan. One of: `aso`, `dhmo`, `epo`, `indemnity`, `pos`, `ppo` | | `network` | string | Network name of the plan designated by the carrier | | `voluntary` | boolean | True if the group dental plan is a voluntary plan | | `status`\* | string | Status of the group dental plan. One of: `active`, `discontinued`, `pending` | | `eligible_member_types`\* | array | List of member types eligible for the group dental plan. One of: `all`, `child`, `domestic-partner`, `employee`, `spouse` | | `waiting_periods`\* | array | Member waiting period details for the group dental plan | | `termination_policy`\* | string | Termination policy for the group dental plan. One of: `end_of_month`, `fifteenth_of_month`, `last_work_date` | | `cobra_rules`\* | object | `eligible`: True if group plan is eligible for COBRA enrollments | | `created`\* | timestamp | The date the record was created | | `modified`\* | timestamp | The date the record was last updated | | `plan_configuration`\* | object | Group plan configuration details | #### Hospital Indemnity Plan Object | Object | Type | Description | | - | - | - | | `id`\* | uuid | Unique identifier of the record in Noyo | | `version`\* | uuid | Current version of the record | | `group_enrollment_id`\* | uuid | Unique identifier of the associated group enrollment in the Noyo system | | `carrier_id`\* | uuid | Unique identifier of the associated carrier in Noyo | | `line_of_coverage`\* | string | Line of coverage for the group hospital indemnity plan | | `name`\* | string | Name of the group hospital indemnity plan | | `code` | string | Plan code of the group hospital indemnity plan | | `plan_type`\* | string | Type of group hospital indemnity plan. One of: `basic`, `voluntary` | | `effective_start_date` | date | ISO-8601 date string for the effective start date of the record | | `effective_end_date` | date | ISO-8601 date string for the effective end date of the record | | `status`\* | string | Status of the group hospital indemnity plan. One of: `active`, `discontinued`, `pending` | | `eligible_member_types`\* | array | List of member types eligible for the group hospital indemnity plan. One of: `all`, `child`, `domestic-partner`, `employee`, `spouse` | | `waiting_periods`\* | array | Member waiting period details for the group hospital indemnity plan | | `termination_policy`\* | string | Termination policy for the group hospital indemnity plan. One of: `end_of_month`, `fifteenth_of_month`, `last_work_date` | | `plan_configuration`\* | object | Group plan configuration details | | `created`\* | timestamp | The date the record was created | | `modified`\* | timestamp | The date the record was last updated | #### Life Plan Object | Object | Type | Description | | - | - | - | | `id`\* | uuid | Unique identifier of the record in Noyo | | `version`\* | uuid | Current version of the record | | `group_enrollment_id`\* | uuid | Unique identifier of the associated group enrollment in the Noyo system | | `carrier_id`\* | uuid | Unique identifier of the associated carrier in Noyo | | `line_of_coverage`\* | string | Line of coverage for the group life plan | | `name`\* | string | Name of the group life plan | | `code` | string | Plan code of the group life plan | | `plan_type`\* | string | Type of group life plan. One of: `basic`, `voluntary` | | `effective_start_date` | date | ISO-8601 date string for the effective start date of the record | | `effective_end_date` | date | ISO-8601 date string for the effective end date of the record | | `status`\* | string | Status of the group life plan. One of: `active`, `discontinued`, `pending` | | `eligible_member_types`\* | array | List of member types eligible for the group life plan. One of: `all`, `child`, `domestic-partner`, `employee`, `spouse` | | `waiting_periods`\* | array | Member waiting period details for the group life plan | | `termination_policy`\* | string | Termination policy for the group life plan. One of: `end_of_month`, `fifteenth_of_month`, `last_work_date` | | `volume_rules`\* | object | Volume rules for the group life plan | | `plan_configuration`\* | object | Group plan configuration details | | `created`\* | timestamp | The date the record was created | | `modified`\* | timestamp | The date the record was last updated | #### LTD Plan Object | Object | Type | Description | | - | - | - | | `id`\* | uuid | Unique identifier of the record in Noyo | | `version`\* | uuid | Current version of the record | | `group_enrollment_id`\* | uuid | Unique identifier of the associated group enrollment in the Noyo system | | `carrier_id`\* | uuid | Unique identifier of the associated carrier in Noyo | | `line_of_coverage`\* | string | Line of coverage for the group LTD plan | | `name`\* | string | Name of the group LTD plan | | `code` | string | Plan code of the group LTD plan | | `plan_type`\* | string | Type of group LTD plan. One of: `basic`, `voluntary` | | `effective_start_date` | date | ISO-8601 date string for the effective start date of the record | | `effective_end_date` | date | ISO-8601 date string for the effective end date of the record | | `status`\* | string | Status of the group LTD plan. One of: `active`, `discontinued`, `pending` | | `eligible_member_types`\* | array | List of member types eligible for the group LTD plan. One of: `all`, `child`, `domestic-partner`, `employee`, `spouse` | | `waiting_periods`\* | array | Member waiting period details for the group LTD plan | | `termination_policy`\* | string | Termination policy for the group LTD plan. One of: `end_of_month`, `fifteenth_of_month`, `last_work_date` | | `volume_rules`\* | object | Volume rules for the group LTD plan | | `plan_configuration`\* | object | Group plan configuration details | | `created`\* | timestamp | The date the record was created | | `modified`\* | timestamp | The date the record was last updated | #### Medical Plan Object | Object | Type | Description | | - | - | - | | `id`\* | uuid | Unique identifier of the record in Noyo | | `version`\* | uuid | Current version of the record | | `group_enrollment_id`\* | uuid | Unique identifier of the associated group enrollment in the Noyo system | | `carrier_id`\* | uuid | Unique identifier of the associated carrier in Noyo | | `line_of_coverage`\* | string | Line of coverage for the group medical plan | | `name`\* | string | Name of the group medical plan | | `code` | string | Plan code of the group medical plan | | `effective_start_date` | date | ISO-8601 date string for the effective start date of the record | | `effective_end_date` | date | ISO-8601 date string for the effective end date of the record | | `plan_type` | string | Type of group medical plan. One of: `epo`, `hdhp`, `hmo`, `hmp`, `pos`, `ppo` | | `network` | string | Network name of the plan designated by the carrier | | `metal_tier` | string | Metal tier designation of the group medical plan. One of: `bronze`, `gold`, `platinum`, `silver` | | `status`\* | string | Status of the group medical plan. One of: `active`, `discontinued`, `pending` | | `eligible_member_types` | array | Eligible member types for the group medical plan | | `waiting_periods`\* | array | Member waiting period details for the group medical plan | | `termination_policy`\* | string | Termination policy for the group medical plan. One of: `end_of_month`, `fifteenth_of_month`, `last_work_date` | | `cobra_rules`\* | object | `eligible`: True if group plan is eligible for COBRA enrollments | | `plan_configuration`\* | object | Group plan configuration details | | `created`\* | timestamp | The date the record was created | | `modified`\* | timestamp | The date the record was last updated | #### STD Plan Object | Object | Type | Description | | - | - | - | | `id`\* | uuid | Unique identifier of the record in Noyo | | `version`\* | uuid | Current version of the record | | `group_enrollment_id`\* | uuid | Unique identifier of the associated group enrollment in the Noyo system | | `carrier_id`\* | uuid | Unique identifier of the associated carrier in Noyo | | `line_of_coverage`\* | string | Line of coverage for the group STD plan | | `name`\* | string | Name of the group STD plan | | `code` | string | Plan code of the group STD plan | | `plan_type`\* | string | Type of group STD plan. One of: `basic`, `voluntary` | | `effective_start_date` | date | ISO-8601 date string for the effective start date of the record | | `effective_end_date` | date | ISO-8601 date string for the effective end date of the record | | `status`\* | string | Status of the group STD plan. One of: `active`, `discontinued`, `pending` | | `eligible_member_types`\* | array | List of member types eligible for the group STD plan. One of: `all`, `child`, `domestic-partner`, `employee`, `spouse` | | `waiting_periods`\* | array | Member waiting period details for the group STD plan | | `termination_policy`\* | string | Termination policy for the group STD plan. One of: `end_of_month`, `fifteenth_of_month`, `last_work_date` | | `volume_rules`\* | object | Volume rules for the group STD plan | | `plan_configuration`\* | object | Group plan configuration details | | `created`\* | timestamp | The date the record was created | | `modified`\* | timestamp | The date the record was last updated | #### Vision Plan Object | Object | Type | Description | | - | - | - | | `id`\* | uuid | Unique identifier of the record in Noyo | | `version`\* | uuid | Current version of the record | | `group_enrollment_id`\* | uuid | Unique identifier of the associated group enrollment in the Noyo system | | `carrier_id`\* | uuid | Unique identifier of the associated carrier in Noyo | | `line_of_coverage`\* | string | Line of coverage for the group vision plan | | `name`\* | string | Name of the group vision plan | | `code` | string | Plan code of the group vision plan | | `effective_start_date` | date | ISO-8601 date string for the effective start date of the record | | `effective_end_date` | date | ISO-8601 date string for the effective end date of the record | | `voluntary` | boolean | True if the group vision plan is a voluntary plan | | `status`\* | string | Status of the group vision plan. One of: `active`, `discontinued`, `pending` | | `eligible_member_types`\* | array | List of member types eligible for the group vision plan. One of: `all`, `child`, `domestic-partner`, `employee`, `spouse` | | `waiting_periods`\* | array | Member waiting period details for the group vision plan | | `termination_policy`\* | string | Termination policy for the group vision plan. One of: `end_of_month`, `fifteenth_of_month`, `last_work_date` | | `cobra_rules`\* | object | `eligible`: True if group plan is eligible for COBRA enrollments | | `plan_configuration`\* | object | Group plan configuration details | | `created`\* | timestamp | The date the record was created | | `modified`\* | timestamp | The date the record was last updated | ## Waiting periods Each group plan may include one or more waiting period rules based on the information made available by the carrier. Each waiting period will always have a `waiting_period_enrollment_type` field. The `waiting_period_enrollment_type` determines when the waiting period is used: `new_member` applies to new members enrolling as new hires, `current_member` applies to existing members enrolling with a QLE, and `rehire` applies to previously active members re-enrolling as a rehire. Each waiting period will always have a `waiting_period_rule` field. This field is a general description of the waiting period rule, and determines which other fields will be present in the waiting period response. Some waiting period rules have a `waiting_period_coinciding` flag. This flag is relevant when the rule defines a specific date for starting coverage and the member waiting period may end on that date. For example, the waiting period rule may be '1st of month after hire date' for a new member with a hire date of January 1st. When `waiting_period_coinciding` is true, the member would begin coverage immediately in the coinciding period, starting on January 1st. When `waiting_period_coinciding` is false, the member coverage would be pushed out to the following period starting February 1st. #### Fixed Waiting Period Object | Object | Type | Description | | - | - | - | | `waiting_period_enrollment_type`\* | string | Enrollment type to decide which relevant waiting period should be applied. One of: `current_member`, `new_member`, `rehire` | | `waiting_period_rule`\* | string | Waiting period rule describing the waiting period for the member. One of: `hire_date` | #### Fixed Coinciding Waiting Period Object | Object | Type | Description | | - | - | - | | `waiting_period_enrollment_type`\* | string | Enrollment type to decide which relevant waiting period should be applied. One of: `current_member`, `new_member`, `rehire` | | `waiting_period_rule`\* | string | Waiting period rule describing the waiting period for the member. One of: `fifteenth_of_month_after_event`, `fifteenth_of_month_after_hire_date`, `first_of_month_after_event`, `first_of_month_after_hire_date`, `first_or_fifteenth_of_month_after_event`, `first_or_fifteenth_of_month_after_hire_date` | | `waiting_period_coinciding`\* | boolean | True if the effective date can equal the final day of waiting period | #### Variable Waiting Period Object | Object | Type | Description | | - | - | - | | `waiting_period_enrollment_type`\* | string | Enrollment type to decide which relevant waiting period should be applied. One of: `current_member`, `new_member`, `rehire` | | `waiting_period_rule`\* | string | Waiting period rule describing the waiting period for the member. One of: `after_waiting_period` | | `waiting_period_amount`\* | integer | Amount of time required for the waiting period | | `waiting_period_unit`\* | string | Unit of time required for the waiting period. One of: `business_day`, `day`, `month`, `week`, `year` | #### Variable Coinciding Waiting Period Object | Object | Type | Description | | - | - | - | | `waiting_period_enrollment_type`\* | string | Enrollment type to decide which relevant waiting period should be applied. One of: `current_member`, `new_member`, `rehire` | | `waiting_period_rule`\* | string | Waiting period rule describing the waiting period for the member. One of: `fifteenth_of_month_after_waiting_period`, `first_of_month_after_waiting_period`, `first_or_fifteenth_of_month_after_waiting_period` | | `waiting_period_amount`\* | integer | Amount of time required for the waiting period | | `waiting_period_unit`\* | string | Unit of time required for the waiting period. One of: `business_day`, `day`, `month`, `week`, `year` | | `waiting_period_coinciding`\* | boolean | True if the effective date can equal the final day of waiting period | # Member Data Source: https://docs.noyo.com/docs/data/member-data-endpoints Data available for employees and dependents A **member** is any employee or dependent enrolled in insurance. Our endpoints are structured to deliver employee and dependent data independently. Member data is sourced from the regular data syncs we perform with Sync-level carriers, or it is submitted via member snapshots for Send-level carrier connections. Most of the time you will not create members directly through Noyo. Instead, members will be created via [snapshots](/docs/members/using-snapshots/using-snapshots) or carrier syncs. Because of this, it will be important to understand [member linking](/docs/groups/mapping/linking-members). # Employee data The **employee** object represents an employee within a group. It contains personal information about the employee including name, address, and contact info as well as employment-related information like salary, occupation and employment status. ### Getting employees You can get employee data in several different ways, including via large, filterable lists of employees. * [Get a single employee](/api-reference/members/employees/getgroupemployee) based on `employee_id` * [Get a single employee for a given group](/api-reference/members/employees/getgroupemployee), based on a combination of `employee_id` and `group_id` * [Get all employees for a given group](/api-reference/members/employees/getgroupemployeelist), based on `group_id`. See below for filtering. * [Get all employees associated with your organization](/api-reference/members/employees/getemployeelist), regardless of group. See below for filtering. #### Filtering Employees in a Group There may be some cases where you wish to find a specific employee in a group, but do not know their Noyo `id`. We provide a way to [filter your employee list](/api-reference/members/employees/getgroupemployeelist) for a given group via query parameters. The following parameters are accepted by the API in the query string: | Object | Type | Description | | - | - | - | | `date_of_birth` | date | ISO-8601 date string for the date of birth of the employee to be filtered on | | `first_name` | string | First name of the employee to be filtered on | | `last_name` | string | Last name of the employee to be filtered on | | `name` | string | A name search for all name fields for the employee to be filtered on | The filtering is not case-sensitive and it does not require an exact match on the value (e.g. searching for "ann" will match against "Ann" as well as "Annie"). #### Filtering All Employees There may be some cases where you wish to [find a specific employee across all of your groups](/api-reference/members/employees/getemployeelist), but do not know their Noyo `id`. We provide a way to filter your employee list via query parameters. The following parameters are accepted by the API in the query string: | Object | Type | Description | | - | - | - | | `date_of_birth` | date | ISO-8601 date string for the date of birth of the employee to be filtered on | | `first_name` | string | First name of the employee to be filtered on | | `last_name` | string | Last name of the employee to be filtered on | | `name` | string | A name search for all name fields for the employee to be filtered on | The filtering is not case-sensitive and it does not require an exact match on the value (e.g. searching for "ann" will match against "Ann" as well as "Annie"). # Dependent data The **dependent** object represents an employee's dependent. It contains personal information about the dependent including name, address, and contact info along with the dependent's relationship to the employee. ### Getting dependents You can [get dependent data directly](/api-reference/members/dependents/getdependent) with a `dependent_id`, or with a `dependent_id` and `employee_id` combination with the [Get a Single Dependent of Employee](/api-reference/members/dependents/getemployeedependent) endpoint. You can also [fetch a list of dependents for a given employee](/api-reference/members/dependents/getdependentlist) using the employee's `employee_id`. # Individual enrollments Each member has a separate Individual Enrollment for each coverage type they are enrolled in or have waived. You can get a list of Individual Enrollments for each [group](/api-reference/members/enrollments/getindividualenrollmentbygrouplist), [group enrollment](/api-reference/members/enrollments/getindividualenrollmentlist) (i.e., line of coverage), [employee](/api-reference/members/enrollments/getindividualenrollmentbyemployeelist), or [dependent](/api-reference/members/enrollments/getindividualenrollmentbydependentlist). Individual enrollments are a rich source of data, containing fields like COBRA enrollment, coverage start and end dates, volume information where applicable, and carrier-specific configurations. If you are managing member changes through Noyo, you will be manipulating individual enrollments by [sending member snapshots](/docs/members/using-snapshots/using-snapshots) that update coverage. ## Member premiums When available from the carrier, Noyo can return a premium amount that was billed to a member. Currently we can return premium amounts for Beam, with more carriers coming soon. Callers can [query the API](/api-reference/members/premiums/getmemberpremiumsbyemployeeid) by `employee_id` to retrieve a list of member premiums associated with the employee and their family unit. The size of the response list will depend on the granularity of data made available by the carrier. For example, if an employee is enrolled in dental and vision coverage and we know the exact cost split between each line of coverage, the response list would contain two member premium records, one with the dental `amount` and a single `billed_members` entry for the employee + dental plan, and one with the vision `amount` and a single `billed_members` entry for the employee + vision plan. On the other hand, if we only know the total combined cost for both coverages, the response list would contain one member premium record with the total `amount` and two `billed_members` entries, one for the employee + dental plan and one for the employee + vision plan. # Temporal Data Source: https://docs.noyo.com/docs/data/temporal-data How to handle data that changes over time Several of the Noyo models track data elements that change over time. For example, a plan may only last for one year before being discontinued, or a member might have the same life plan for multiple years but change their coverage volume for that plan over time. The [group carrier configuration](https://docs.noyo.com/api-reference/groups/configurations/get-carrier-configuration-by-group-list), [group plan](https://docs.noyo.com/api-reference/groups/plans/get-group-plan), and [individual enrollment](https://docs.noyo.com/api-reference/members/enrollments/getindividualenrollment) models are all temporally tracked. Data at the group level is all sourced from the carrier. You can query this data to get an array of records tracking changes over time, but you **cannot** edit the data directly.  You **are** able to edit individual enrollments via member snapshots; see more on that below.  Demographic information for employees and dependents is *not* temporal; the current state of demographic data is the only state that exists in our system. You should always send the most recent state of demographic data, and we will transmit that to the carrier. For example, if you know someone’s salary will change in the future, send us that salary with an effective date in the future. The amount you send will be the only record of a salary for that person; any previous salary amounts will not be stored or queryable.  ## Using temporal data in member snapshots In [member snapshots](https://docs.noyo.com/api-reference/snapshots/create-member-snapshot), each coverage has an `enrolled_members` list. Each enrolled member can include `effective_start_date`, `effective_end_date`, and optionally `latest_change_effective_date`; these dates determine the individual enrollment timeline for that member. The `carrier_config` on a coverage is assigned an effective date based on the coverage’s `enrolled_members` in this order: 1. The system looks for the first enrolled member in list order where `individual_type == "employee"` * If that employee has `latest_change_effective_date`, that date is used * Otherwise, that employee’s `effective_start_date` is used 2. If there is no employee in `enrolled_members`, the system uses the first enrolled member in the list, which should be a dependent. * If that dependent has `latest_change_effective_date`, that date is used * Otherwise, that dependent’s `effective_start_date` is used The system does not sort enrolled members or choose the earliest or latest date. If multiple employee entries are included in the same coverage, only the first employee entry in `enrolled_members` is used to determine the `carrier_config` effective date. To represent changes during the year, provide separate effective periods. Coverage level fields such as `carrier_config` and `cobra_details`, and enrolled member fields such as `volume`, can then produce distinct temporal records. ### Important concepts * `effective_start_date` - The original date that a member started coverage on a plan. When members are terminated and rehired, they get new effective start dates. This can differ from some other industry definitions, which define a new start any time benefits change.  * `effective_end_date` - The end date of coverage on a plan. Unless the coverage itself is ending, this should be set to datemax (`9999-12-31`). [Read more here](https://docs.noyo.com/docs/members/using-snapshots/end-dates).  * `effective_date` - A query parameter for some endpoints that allow the user to specify the relative date for which to see the state of a record.  * `latest_change_effective_date` - The effective date of the temporal data contained within the coverage block. See below for example usage. ## Example scenarios ### Mid-year benefit class change If an employee has a QLE on June 1st that changes their benefit class from A to B for a coverage that’s active from January 1st, there are two ways to represent this in the member snapshot payload.  **Preferred method: one coverage block with a** `latest_change_effective_date` Add a `latest_change_effective_date` to the enrolled member, and pass the new benefit class value in the `carrier_config` section.  ```json Example Request lines theme={"system"} { "coverages": [ { "carrier_id": "3a070236-770e-4521-adf9-5c342d03ed36", "plan_id": "7c6de7e2-35a0-4ddf-a41b-c849a6569b49", "line_of_coverage": "dental", "carrier_config":{ "benefit_class_identifier": "B" }, "enrolled_members": [ { "individual_type": "employee", "custom_individual_id": "1234567890", "effective_start_date": "2025-01-01", "effective_end_date": "9999-12-31", "latest_change_effective_date": "2025-06-01" } ] } ] } ``` **Alternative method: two coverage blocks with different** `effective_dates` Edit the effective dates for each enrolled member in the original coverage block to January 1st through May 31st and leave the original `carrier_config` in place.  Then add a second coverage block with an effective date of June 1st, with the new benefit class defined in the associated `carrier_config` section.  This method is not recommended because specifying the previous state (benefit class A) can cause Noyo to attempt to fulfill that previous state at the carrier and thus run afoul of the carrier’s retro rules. For this example scenario, the user likely just wants to change the benefit class to B starting 6/1 and is not concerned with the earlier state. ```json Example Request lines theme={"system"} { "coverages": [ { "carrier_id": "3a070236-770e-4521-adf9-5c342d03ed36", "plan_id": "7c6de7e2-35a0-4ddf-a41b-c849a6569b49", "line_of_coverage": "dental", "carrier_config":{ "benefit_class_identifier": "A" }, "enrolled_members": [ { "individual_type": "employee", "custom_individual_id": "1234567890", "effective_start_date": "2025-01-01", "effective_end_date": "2025-05-31" } ] }, { "carrier_id": "3a070236-770e-4521-adf9-5c342d03ed36", "plan_id": "7c6de7e2-35a0-4ddf-a41b-c849a6569b49", "line_of_coverage": "dental", "carrier_config":{ "benefit_class_identifier": "B" }, "enrolled_members": [ { "individual_type": "employee", "custom_individual_id": "1234567890", "effective_start_date": "2025-06-01", "effective_end_date": "9999-12-31" } ] } ] } ``` ### Open enrollment election During open enrollment, employees may enroll in new coverages with future effective dates while still being enrolled in current-year coverage. To express this in a member snapshot, you should ensure that any coverages that are discontinuing have an `effective_end_date` set. Then add a new coverage block for each new enrollment and set the `effective_start_date` to the day after the current coverage ends.  Note that this specific scenario is often considered a “plan switch.” ```json Request lines theme={"system"} { "coverages": [ { "carrier_id": "3a070236-770e-4521-adf9-5c342d03ed36", "plan_id": "7c6de7e2-35a0-4ddf-a41b-c849a6569b49", "line_of_coverage": "dental", "carrier_config": {}, "enrolled_members": [ { "individual_type": "employee", "custom_individual_id": "1234567890", "effective_start_date": "2025-01-01", "effective_end_date": "2025-12-31" } ] }, { "carrier_id": "3a070236-770e-4521-adf9-5c342d03ed36", "plan_id": "4e5ebd0c-b5e4-4988-b93f-3e78ff6cf1b5", "line_of_coverage": "dental", "carrier_config": {}, "enrolled_members": [ { "individual_type": "employee", "custom_individual_id": "1234567890", "effective_start_date": "2026-01-01", "effective_end_date": "9999-12-31" } ] } ] } ``` ## How carriers process temporal data Carriers generally only process the current/latest state of a member’s data, which means that retroactive changes can be difficult for them to process. You can learn more about carrier-specific retro policies in our documentation in the Noyo web application, but in most cases we do not recommend sending changes to past data through Noyo.  # Using Noyo Data Source: https://docs.noyo.com/docs/data/using-noyo-data The building blocks you need for your next amazing product What makes Noyo special is that we are able to read data directly from the Sync carriers in our network. That is, we can get a confirmation and a copy of the member's record back after we have submitted a change. We source this data from carrier systems using their preferred formats; for some carriers we are connected via APIs, for others we use custom files, and for some it's a mix of both. Then we standardize all these inputs so you get structured data in the same format for every group, regardless of the carrier. What does our Sync technology do for you? It gives you the building blocks you need to create better experiences for your clients, members, broker partners, and internal teams. ## Group, plan, and member data on demand When a group has been successfully connected to Noyo, all of their group-, plan-, and member-level data becomes available through our APIs. You can use this data to seed your system and build the group's structure if they're a new client. Many of our customers also use our endpoints to run regular comparisons between their records and the carriers, allowing them to identify potential coverage problems sooner. **Data Access by Tier** * **Premier Tier:** Premier connections are defined by full two-way access to data. After a group connection is complete, we pull in all available account structure, plan, and member data from the carrier into our system. You can then use our GET endpoints to access the most up-to-date data for the group. For Premier carriers, Noyo's system is populated with the carrier's version of the data, so you get round-trip confirmation of changes and a reliable source of truth for the member's record with the carrier. * **Advanced and Standard Tiers:** Advanced and Standard connections use the same Noyo endpoints, but use a wider range of connection methods to each carrier. These tiers do not have access to the carrier's member-level data. The member data you retrieve from our endpoints will reflect what you submitted via snapshots and may not reflect the current state of the member in the carrier’s system. To learn more about what data fields are available for connected groups, check out these guides: * [Group and Plan Data](/docs/data/group-data-endpoints) * [Member Data](/docs/data/member-data-endpoints) ## Managing enrollments through Noyo You can easily send member enrollment and eligibility changes through Noyo all year long, eliminating the need for complex file feeds, manual portal work, customized carrier integrations, and complicated OE workflows. Just build [member snapshots](/docs/members/using-snapshots) into your system to automate enrollment from beginning to end. When you manage enrollment with Noyo, you get: * One API experience for all your carriers * Built-in data validation and enforcement of business logic * Full visibility into statuses and errors * No blackout periods or special workflows during open enrollment **Change Fulfillment by Tier** * **Premier Tier:** Changes are delivered in minutes, not days, and you receive round-trip confirmation for each change. You have access to real-time error detection and a clear view into fulfillment. * **Advanced Tier:** Changes are transmitted to the carrier on a roughly weekly schedule. The status of each change reflects whether it has been queued for transmission, sent, or if it has resulted in an error. **Standard Tier:** We build and transmit files that conform to the carrier's preferred standards. We are not able to perform round-trip confirmation to confirm changes; instead, the status of each change reflects whether it has been sent to the carrier or not. # Carrier Authorization Source: https://docs.noyo.com/docs/groups/connections/authorization Carriers enforce different authorization models on ben-admins, brokers, and Noyo Group connection requests can be started prior to authorization, but they will enter an `action_required` or `carrier_authorization` status if the group is not yet authorized. You will be prompted for further action in the Noyo UI. Authorization process can vary by carrier. Reference each carrier’s documentation for details on authorization processes. Noyo works with carriers to improve their authorization requirements, with the goal of achieving automatic authorization for all carriers. **Include optional fields whenever possible**\ Some data isn't required for all connections, such as broker FEINs or the group's tax ID. While these fields aren't required,Noyo recommends including all data you have access to. This will help prevent delays and further intervention in the connection process, along with keeping your integration easy to extend to additional carriers. ### Authorization models Each carrier's process will fall into one of the following categories: 1. **Automatic Authorization for Noyo**\ Noyo has been granted authorization by the carrier to manage enrollment data for any group. There is no action needed by the broker or ben-admin. 2. **Per-group authorization by ben-admin platform**\ The ben-admin requests authorization per-group via a form or email. For all Send carriers, the ben-admin authorizes Noyo as their EDI partner. 3. **Bulk authorization by broker**\ The broker grants authorization via the carrier’s portal, a form, or an email. This must be done before a GCR can be completed. 4. **Per-group authorization by broker**\ For each group, the broker grants authorization via the carrier’s portal, a form, or an email. This must be done before a group can be connected to the carrier. # Disconnecting a Group Source: https://docs.noyo.com/docs/groups/connections/disconnect-a-group Tell Noyo to stop exchanging data for a group Groups may need to be disconnected from Noyo for a few different reasons: * The group is no longer your customer and has moved to a different ben-admin solution * The group has not renewed coverage with the carrier * The group is no longer eligible for coverage with the carrier Disconnecting groups properly prevents incorrect billing and manual cleanup work to fix erroneous enrollments. # Group disconnection requests Similar to Group Connection Requests, you must tell Noyo when a group needs to be disconnected from our system. On the date specified in the request, we will stop pulling the group's data from the carrier and will stop accepting new enrollment changes. There are some instances where communications or automated responses from the carrier indicate that a group should be disconnected. When this happens, *we* will create a disconnection request that someone on your team must confirm or reject. Disconnection requests can be managed over API or in the Noyo web application. ## Sending a group disconnection request First, [Create new group disconnection request](/api-reference/groups/disconnections/create-group-disconnection-request) and populate it with the relevant `carrier_id`, `effective_end_date`, and `group_id`. The `effective_end_date` is the last day that coverage should be managed through Noyo. When we receive the request we will process it and it will move through the statuses listed below. If the request is rejected, it may be because of an invalid ID or end date. [Edit group disconnection request](/api-reference/groups/disconnections/edit-group-disconnection-request) to submit new or corrected data. ### Disconnection request statuses Group disconnections will move through several different statuses as they pass through Noyo's system and are processed with carriers. | Key | Description | | - | - | | `needs_review` | The group disconnection is awaiting your confirmation or rejection. | | `processing` | Noyo is working on disconnecting the group from the carrier. | | `completed` | The group has been disconnected from the carrier. | | `rejected` | The group disconnection request has been rejected. The group will remain connected to the carrier. | ## Managing disconnection requests [Get group disconnection request list](/api-reference/groups/disconnections/get-group-disconnection-request-list) to discover whether there are requests that need your attention. We recommend doing this weekly. You can also set up recurring checks for each group using our endpoint that [polls for disconnection requests for a specific group](/api-reference/groups/disconnections/get-group-disconnection-request-list-by-group). You can use our endpoints to build an internal tool for your team to review, [Confirm group disconnection request](/api-reference/groups/disconnections/confirm-group-disconnection-request), or [Reject group disconnection request](/api-reference/groups/disconnections/reject-group-disconnection-request) disconnection requests. ### In the Noyo web application You can also manage disconnection requests in the > ## Documentation Index > Fetch the complete documentation index at: [https://docs.noyo.com/llms.txt](https://docs.noyo.com/llms.txt) Use this file to discover all available pages before exploring further. # Connecting a Group Source: https://docs.noyo.com/docs/groups/connections/request-a-group-connection The first step in administering enrollments via Noyo Connecting a group results in a live link between an employer group and a carrier through Noyo, allowing us to fulfill enrollment changes. This process activates Noyo for enrollment and eligibility fulfillment. When a group connection request has been submitted, we start work to get approval from the carrier to administer your group. Along the way, you might be asked to help with authorizing us to help, or with making sure that your data aligns with the carrier’s. We'll guide you through everything that's required.

Once we have full authorization and a group connection is complete, any member snapshot you send for that group/carrier pair will be fulfilled with the carrier via Noyo. ### **Why Connect a Group?** Connect a group when you're ready to activate fulfillment through Noyo. This can also mean switching from an existing fulfillment method. Noyo supports connecting groups: * Before any employees are enrolled with the carrier * When employees are already enrolled with the carrier ## **Connection lifecycle** A connection can move through a series of lifecycle stages. The specific steps required to establish a connection depend on the carrier tier and whether the carrier is already in Noyo’s network. | **Connection stage** | **Description** | | :- | :- | | Not Connected | The connection is not currently active. | | Initiated | A connection has been requested and is waiting to begin setup. | | Vetting | Noyo is evaluating a carrier that is *not* currently in Noyo's network to determine whether the connection can be supported. | | In Setup | The connection is actively being configured and prepared to go live. | | Active | The connection is live and exchanging data. | | Disconnecting | The connection is in the process of being disconnected. | | Disconnected | The connection has been successfully disconnected. | ### **The Connection Process by Tier** The path to a completed connection status differs depending on the carrier's tier. **Premier Tier** For Premier connections, we query the carrier's system directly for authorization and fetch all available account structure, plan, and enrollment data. We then pull this data into our system, do an initial data comparison, and make it available to you via our GET endpoints. Once the connection status is completed, you can send member snapshots for real-time fulfillment and round-trip confirmation. **Advanced and Standard Tiers** For these connections, the process is not fully complete until an initial "census" has been sent via member snapshots. This is necessary to create the group’s employees and dependents in our system, as we do not pull in member data from these tiers. This also allows our team to build and test the file with the carrier. The connection is only marked completed after the carrier has officially approved the file. You should continue to send enrollments to the carrier via your current method until the Noyo integration is approved. ### **Requesting a Group Connection** Connecting a group is the process of populating Noyo's system with information about one group/carrier combination. As soon as the group's coverage application is approved by the carrier and their carrier-specific identifier (carrier\_group\_id) has been issued, you can send a group connection request. To test different group connection request statuses in the sandbox environment, please see the "Sandbox Testing" section within each carrier's documentation page for specific scenario test group numbers. **Requesting a Connection via API** You can send a new connection for an existing group or create one from scratch. The carrier\_id is a unique ID Noyo assigns to each carrier in our network, while the carrier\_group\_id identifies the group in the carrier system (like a group number or policy number). You can [add a new connection for an existing group](/api-reference/groups/connections/create-group-connection-with-existing-group) or [get a list of all their connection requests](/api-reference/groups/connections/get-group-connection-request-list-by-group). Example group connection request: ```sh Request theme={"system"} curl -X POST --header "Authorization: Bearer " https://fulfillment.noyo.com/api/v1/group_connections { "carrier_id": "c699414d-fd1c-4de4-86f0-66dfff2276c4", "federal_ein": "123456789", "group_data": { "group_name": "Test Company", "carrier_group_id": "00110011", "broker_federal_ein": "123123123" } } ``` The `carrier_id` field is used throughout the Noyo API to identify a carrier. You can use it to request a connection with carriers that are already in Noyo's network, as well as carriers that are not yet in the network. If the carrier you want to connect is not available in the API, contact Noyo to have the carrier added before submitting the connection request. You can find unique carrier identifiers and guidance for finding the appropriate `carrier_group_id` in the Noyo web application on each carrier's information page. When the API call successfully creates a group connection request, the response includes: * A unique ID for the **Group Connection** * A unique ID for the **Group** added to Noyo We recommend storing both IDs so you can reference these objects in subsequent API requests. Noyo will then work in the background to establish access to the group. You can [pipe all your group connection requests](/api-reference/groups/connections/get-group-connection-request-list) into your own internal tools or manage them in our Noyo web application. **Include all optional fields whenever possible**
Not all fields in a connection request are required. We still recommend providing as much information as possible every time - it helps avoid roadblocks and reduces average connection times.
## Connecting groups to Premier carriers After you send a group connection request involving a Premier carrier, we query the carrier's system directly for authorization and fetch any account structure, plan, or enrollment data that exists. (Enrollment data will only be available for groups who have existing coverage with the carrier.) We structure and normalize this data and make it available to you through our GET endpoints. Most group connections with Premier carriers only take a few minutes to complete as long as the prerequisites are in place. Next you'll [map plans and account structures](/docs/groups/mapping/mapping-plans-and-account-structures) (only if using [Explicit config](/docs/groups/mapping/explicit-vs-dynamic-configuration#dynamic-config-automap)) and [link members](/docs/groups/mapping/linking-members) to ensure our systems are aligned. [Dynamic config](/docs/groups/mapping/explicit-vs-dynamic-configuration#dynamic-config-automap) is recommended for all new Noyo integrations and makes carrier-specific config values no longer required. This page should only be used for existing Noyo integrations. For groups already set up in your system, Noyo makes it possible to review and compare the carrier data with your existing view of the group. We highly recommend doing this before sending enrollment changes to avoid creating discrepancies. ![The group connection flow for Sync carriers, with statuses available at each step](https://static.noyo.com/img/0928c75-Group_connection_Sync_v3.png) ### Check the connection status While a group connection request is in process, you can periodically poll for any updates to the Group Connection using the ID returned when the group connection was created. Here is an example request and response payload for the [Get Single Group Connection endpoint](/api-reference/groups/connections/get-group-connection): ```sh Request theme={"system"} curl -X GET --header "Authorization: Bearer " https://fulfillment.noyo.com/api/v1/group_connections/dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1 ``` ```json Response theme={"system"} { "id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1", "version": "9906b5d2-e76d-4bad-ba4c-8ce90b6b867b", "created": 1557329939, "modified": 1557332412, "organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e", "carrier_id": "c699414d-fd1c-4de4-86f0-66dfff2276c4", "group_id": "47c07963-2e34-4da2-86b4-cbc3c57111c1", "request_type": "initial", "status": "completed", "completed": 1557330213, "group_data": { "group_name": "Test Company", "carrier_group_id": "00110011", "broker_federal_ein": "123123123" } } ``` When Noyo has finished processing all available data for the group and created the new records in our system, the status of the Group Connection will be updated to `completed`. At this point, you can use our API endpoints to access all the data we have about the group. Group connections will move through several different statuses, as illustrated in the diagram above. Here's what those statuses mean: | Key | Description | | - | - | | `created` | This status is the result of the initial submission (POST). We have not yet verified the current state of the carrier's system. | | `processing` | We are communicating the group connection to the carrier involved. | | `noyo_review` | Noyo is actively resolving an issue with the group connection; no action is needed from you. | | `waiting_on_carrier` | The group connection has been submitted and the carrier is processing it. | | `carrier_authorization` | There was an [authorization](/docs/groups/connections/authorization) problem when pulling group data from a carrier. It may require you to reach out to the carrier to resolve. | | `action_required` | Action from you is required for successful processing. Notes are listed in the `setup_result` field on the group connection object. One case to know: **Prior connection must be disconnected** means the group still has an active connection for this carrier through another benefits platform. Ask the group to disconnect from their previous platform; once that disconnection is underway, the request continues automatically. Retrying the request re-checks right away. | | `unable_to_connect` | The carrier was unable to install this group connection. Notes are listed in the `setup_result` field on the group connection object. | | `completed` | The group connection has been completed and Noyo now has the ability to manage enrollment and eligibility changes for the specific group that is installed on the carrier's system | | `canceled` | The group connection request was canceled before the connection was completed. Noyo also cancels a request automatically when one of your other groups already has an active connection to this carrier for the same carrier group; the `setup_result` names that group and carries `"error_scenario": "duplicate_connection"`. | #### Setup Results The `setup_result` allows us to pass along information that may be helpful in troubleshooting a failed group connection request. Its structure will depend on the group connection's status: if the request is in `noyo_review`, `action_required`, `waiting_on_carrier`, `unable_to_connect`, or `canceled`, the `setup_result` may contain an `error` string that gives further details about the specific issue involved, and for some cases an `error_scenario` constant that identifies the case (for example `cross_platform_duplicate` on an `action_required` request, or `duplicate_connection` on a `canceled` one). For other statuses, the `setup_result` will be empty. ## Connecting groups with Advanced & Standard carriers After you send a group connection request involving a Standard or Advanced carrier, our team reaches out to that carrier for the group's account structure. It generally takes 1-2 weeks for the account structure to be received and loaded into our system, which makes it available through our endpoints; our team will inform you when this data is available so you can map plans and account structures and submit census data. We do **not** pull enrollment data from Advanced/Standard carriers during the group connection process. This means you will need to create the group's employees and dependents in our system by sending an initial "census" via a series of member snapshots, with a `custom_individual_id` included for each member. The success responses will contain each person's Noyo ID, which you should include in future snapshots along with your custom ID. All 4xx errors will need to be resolved at this time to ensure that all enrollments are present and the Noyo team can build the file successfully. Visit the Developer tab in the Noyo web application for a list of errors that can be sorted by path Once you send the census snapshots, Noyo can populate the file with real data and complete the testing process according to the carrier's specifications. This typically takes up to 6 weeks with a responsive carrier. The Noyo team will reach out to you with any discrepancies the carrier identifies; to resolve them, you'll need to update/correct the bad data in your system (which may involve reaching out to the group admin) and send us new member snapshots, and then communicate the changes to the carrier directly as well. This process may need to be repeated until most discrepancies are resolved. During this time, continue to send enrollments to the carrier via your current transmission methods (file, form, etc.) Once Noyo's integration has been approved by the carrier you can retire any existing methods of transmission. While Noyo builds the file, you should continue to send enrollments to the carrier via your current transmission method (file, form, etc.). You should retire this method prior to Noyo's first delivery of an approved production file to the carrier to prevent data integrity issues in the carrier's system. The carrier will officially approve the file when they determine that the structure is correct and the member data is sufficiently accurate. At this point, the group connection is marked `complete` in our system and new enrollments and changes can be sent to Noyo on an ongoing basis. We process these snapshots and identify the changes that should be sent on the next file (check the carrier's page in the Noyo web application for specifics on file delivery cadence). After the group connection is `complete`, you don't need to communicate changes directly to the carrier anymore. ![The group connection flow for Send carriers, with statuses available at each step](https://static.noyo.com/img/9cb7977-Group_connection_Send.png) ### Check the connection status While a group connection request is in process, you can periodically poll for any updates to the Group Connection using the ID returned when the group connection was created. Here is an example request and response payload for the [Get Single Group Connection endpoint](/api-reference/groups/connections/get-group-connection): ```sh Request theme={"system"} curl -X GET --header "Authorization: Bearer " https://fulfillment.noyo.com/api/v1/group_connections/dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1 ``` ```json Response theme={"system"} { "id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1", "version": "9906b5d2-e76d-4bad-ba4c-8ce90b6b867b", "created": 1557329939, "modified": 1557332412, "organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e", "carrier_id": "c699414d-fd1c-4de4-86f0-66dfff2276c4", "group_id": "47c07963-2e34-4da2-86b4-cbc3c57111c1", "request_type": "initial", "status": "completed", "completed": 1557330213, "group_data": { "group_name": "Test Company", "carrier_group_id": "00110011", "broker_federal_ein": "123123123" } } ``` When Noyo has sent the first production file, the status of the Group Connection will be updated to `completed`. At this point, you can use our API endpoints to access the most recent data you've sent us about the group. Group connections will move through several different statuses, as illustrated in the diagram above. The status values are the same for all group connections, but the meanings vary slightly for Send connections: | Key | Description | | - | - | | `created` | This status is the result of the initial submission (POST). We have not yet verified the current state of the carrier's system. | | `processing` | We are communicating the group connection to the carrier involved. | | `noyo_review` | Noyo is actively resolving an issue with the group connection; no action is needed from you. | | `waiting_on_carrier` | We are waiting to receive group setup instructions from the carrier, or waiting to receive feedback on test files from the carrier. | | `carrier_authorization` | We are working to obtain group information from the carrier before testing begins. | | `action_required` | You need to either map plans and send the group census or resolve data discrepancies shared by the carrier. | | `unable_to_connect` | The carrier was unable to accept this group connection. | | `completed` | The production file was approved and you can manage enrollment and eligibility changes through Noyo for this group. | | `canceled` | The group connection request was canceled before the connection was completed. | ### Group connection errors | Error Name | Response Status Code | Description | | - | - | - | | Duplicate | `409` | Submitting a duplicate group connection (identical `carrier_id` and `carrier_group_id` as another group connection) will result in a 409 conflict error. | | Missing Fields | `422` | If any required fields are missing, the request will result in a 422. | | Carrier Group ID Format | `422` | Submitting a `carrier_group_id` that violates carrier-specific formatting will result in a 422 error. See carrier pages in the Noyo App for per-carrier formats. | ### Retrying a group connection request If a group connection request has gone through its retry attempts and is in an `unable_to_connect` state, you can retry the group connection later through [this endpoint](/api-reference/groups/connections/retry-group-connection-with-existing-group). When you retry a group connection, you will have the option to update the unique identifier for the group (`carrier_group_id`). Retrying a group connection keeps the `id` that was previously used to identify the group connection, and sends off the same request with any updated information to the carrier. This retry will update the status of the group connection to `processing`. ### Cancelling a request To cancel an in-progress request, open the GCR in the Noyo app and select **Cancel GCR**. Before cancelling, you’ll see a confirmation explaining the impact. Once cancelled, the request cannot be resumed. If you need to reconnect later, simply submit a new request. Cancel Feature 1 ### Ending a group connection It's important to disconnect groups from Noyo if you are no longer managing them. [Learn how](/docs/groups/connections/disconnect-a-group). # Create a Group Source: https://docs.noyo.com/docs/groups/create-a-group Learn how to create and configure a new group We recommend creating groups in Noyo as soon as they are known to your ben-admin system. Then you can start sending member snapshots to Noyo to establish their data in our system; we use this data to calculate the group's eligibility for different types of carrier connections and write account structure mapping rules. To create a group in Noyo, use the [Create Group endpoint](/api-reference/groups/create-group). This endpoint allows you to create a new group in our system with a small amount of information. Once the group is created, you can begin sending snapshots for the group's members. Noyo will store this data but not send anything along to carriers just yet; instead, we'll use the employee data to calculate the group's eligibility for different types of carrier connections and eventually write mapping rules if needed. Older integrations that do not use Noyo's [dynamic configuration and mapping features](/docs/groups/mapping/explicit-vs-dynamic-configuration) generally start their workflow with the group connection request, which creates the group synchronously. ### The group lifecycle with Noyo After you create a group and populate it with employee records, you can choose when to activate data exchange through Noyo by **connecting** the group (covered in the next section). Here's a simplified view of the group lifecycle on Noyo: Lifecycle Diagram Jp # Explicit vs Dynamic Configuration Source: https://docs.noyo.com/docs/groups/mapping/explicit-vs-dynamic-configuration ## Dynamic Configuration Dynamic config is a new Noyo feature where Noyo takes on the mapping logic for most account structure values and surfaces any remaining unknown logic to you for your input. While this may present an extra step when connecting some groups to new carriers, it allows the initial integration to member snapshot to support all carriers and removes the need for carrier-specific fields to be passed in snapshots. [Dynamic config](/docs/groups/mapping/explicit-vs-dynamic-configuration#dynamic-config-automap) is recommended for all new Noyo integrations and eliminates the need for carrier-specific values to be coded into member snapshots for each new carrier connection. ### What plan data should I send? Your snapshots should include a consistent internal ID for each plan in your system (as the `custom_plan_id`) and your name for each plan (as the `plan_name`). The custom plan ID being static allows us to reliably map your plans, even if the plan name goes through minor changes. ### What member data should I send? Carriers have different ways of dividing up members into different subgroupings, and these methods can vary by carrier as well as between different groups at the same carrier. In order for Noyo to map your groups correctly, we need to be able to determine which members fall into which category. Noyo recommends that you capture as much information about employees, dependents, and their coverage options as possible in every snapshot to ensure compatibility with as many carriers as possible. Noyo will create rules based off of information passed in the coverage block, as well as information included in the `employee.classifications` object. #### Classifications The classifications object is appropriate for subgroup information that applies to the employee or their entire family. The classifications block does not have a defined schema as it is designed to accept any relevant data. Recommended information for the `classifications` object includes: * Division, branch, team, or department info * Company location/office name * Leveling info (management, supervision, director, executive, key person, etc.) * Subsidiary number or name #### Classifications Changing Over Time By default, Noyo's system will assume that a classification applies to the employee family for the entire span of all coverages in a member snapshot. If this is not the case, classifications can be given effective dates. Imagine a scenario where there is a subgroup for executives, and a subgroup for all other members. If an employee who was not an executive is promoted to become an executive, we may not want their coverages to be impacted back to their original start date. The safest way to handle this is to add an `as_of` date to any data that has changed since the beginning of the earliest coverage in the member snapshot (or earlier). This classification block represents that the employee is a "Head Attorney" and in the "Attorneys" job category for all of the coverage blocks in this member snapshot. It does not include any adjustments to time periods. ```json theme={"system"} "classifications": { "job_title": "Head Attorney", "is_executive": false, "job_category": "Attorneys", "custom_field_19": [2025, 2026, 2027] } ``` However, this classification block shows that the employee should be mapped onto the executive sub group starting 2025-01-01. ```json theme={"system"} "classifications": { "job_title": [ { "value": "Head Attorney", "effective_date": "2024-01-01", }, { "value": "Chief Legal Officer", "effective_date": "2025-01-01" } ], "is_executive": [ { "value": false, "effective_date": "2024-01-01", }, { "value": true, "effective_date": "2025-01-01" }, ], "job_category": "Attorneys", "custom_field_19": [2025, 2026, 2027] } ``` The effective date is inclusive, and means that the data in the "value" key is correct from that day until the next value's effective date, if any. You should send a classification value back as far as the earliest coverage, so that we can properly map the employee. It is safe to put an arbitrarily early date to represent the earliest data that Noyo needs to have. If you would prefer to send only the latest date for your classifications, and would like to carry forward older dates rather than sending the full timeline in each member snapshot, reach out to Noyo for guidance. #### Carrier Config Values For data that might be different for different enrolled members, or that might be different per coverage, or change over time you can use the `carrie
[...]
